Bug 1271794 - [abrt] ttname: table.py:36:<module>:ImportError: No module named fontTools.ttLib
[abrt] ttname: table.py:36:<module>:ImportError: No module named fontTools.ttLib
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ttname (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:62c03dcc65008461f45fc68dc22...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 14:21 EDT by Karel Volný
Modified: 2015-11-13 20:52 EST (History)
2 users (show)

See Also:
Fixed In Version: ttname-1-6.fc23 ttname-1-6.fc21 ttname-1-6.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-13 17:55:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.19 KB, text/plain)
2015-10-14 14:21 EDT, Karel Volný
no flags Details
File: environ (3.51 KB, text/plain)
2015-10-14 14:21 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2015-10-14 14:21:36 EDT
Description of problem:
$ ttname -a ComicNeue-Regular.otf

Version-Release number of selected component:
ttname-1-3.fc21

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python /bin/ttname -a ComicNeue-Regular.otf
dso_list:       python-setuptools-18.0.1-2.fc23.noarch
executable:     /bin/ttname
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
#1 <module> in /usr/lib/python2.7/site-packages/ttname/table.py:36
#2 <module> in /usr/lib/python2.7/site-packages/ttname/__init__.py:29
#3 resolve in /usr/lib/python2.7/site-packages/pkg_resources/__init__.py:2361
#4 load in /usr/lib/python2.7/site-packages/pkg_resources/__init__.py:2355
#5 load_entry_point in /usr/lib/python2.7/site-packages/pkg_resources/__init__.py:2682
#6 load_entry_point in /usr/lib/python2.7/site-packages/pkg_resources/__init__.py:558
#7 <module> in /bin/ttname:9
Comment 1 Karel Volný 2015-10-14 14:21:40 EDT
Created attachment 1082920 [details]
File: backtrace
Comment 2 Karel Volný 2015-10-14 14:21:42 EDT
Created attachment 1082921 [details]
File: environ
Comment 3 Nils Philippsen 2015-11-04 09:38:19 EST
Victim of the python3 move, it needs to depend on python2-fonttools, instead of fonttools (which requires python3-fonttools now).
Comment 4 Fedora Update System 2015-11-04 11:59:04 EST
ttname-1-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-56e9cda570
Comment 5 Fedora Update System 2015-11-04 11:59:22 EST
ttname-1-6.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-007a0a9677
Comment 6 Fedora Update System 2015-11-04 19:22:38 EST
ttname-1-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ttname'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-007a0a9677
Comment 7 Fedora Update System 2015-11-04 20:27:35 EST
ttname-1-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ttname'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6b19539c8d
Comment 8 Fedora Update System 2015-11-05 10:52:28 EST
ttname-1-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ttname'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-56e9cda570
Comment 9 Fedora Update System 2015-11-13 17:55:00 EST
ttname-1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-11-13 20:51:14 EST
ttname-1-6.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-11-13 20:52:48 EST
ttname-1-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.